mail::Header::plain
Prev | Creating headers | Next

## Name

mail::Header::plain — An unstructured, `US-ASCII`-only, E-mail header.

## Synopsis

#include <libmail/headers.H>
mail::Header::plain plain_header("Content-Type", "text/plain");
std::cout << plain_header.toString();

## USAGE

This class creates an unstructured E-mail header. Two arguments are provided to the constructor: the header's name, and its contents. The header contents must contain only `US-ASCII` characters. Use the mail::Header::encoded(3x) object to create a header containing non-`US-ASCII` content.

The `toString()` returns the header as a single text string: “`name`: `value`”. Long headers are folded at the nearest whitespace.

## SEE ALSO

mail::Header::addresslist(3x), mail::Header::encoded(3x), mail::Header::list(3x), mail::Header::mime(3x).

Prev | Up | Next
mail::Header::mime | Home | ToC | Extra/Miscellaneous objects/methods